<?php

ob_start();
session_start();
include "../connect.php";

$tipo = $_GET['tipo'];//tipo do mapa

//variaveis dos filtros de busca

$filtro_clientes 	   = (isset($_SESSION['clientes'])) 		? $_SESSION['clientes'] 		: null;



//arrumando a string para colocar na query


	if ($filtro_clientes!=null){
		foreach($filtro_clientes as $cli){
			$cli_in .= "," . $cli;
		}
	};


//echo "Tipo:" . $tipo . "<br>";

//$tipo = "clientes";

//de acordo com o mapa(tipo), realiza-se uma consulta diferente para gerar o json
switch ($tipo) {
    case "clientes":
	
	$consulta = "select erpc_clientes.ds_nome as nome
						  ,erpc_clientes.longitude
						  ,erpc_clientes.latitude
						  ,concat_ws(' - ',erpc_clientes.ds_endereco,erpc_clientes.ds_bairro,erpc_municipios.ds_municipio,erpc_municipios.ds_uf) as ds_endereco
						  ,'icones/cliente.png' as icone
						  ,null as label
					  from erpc_clientes 
				inner join erpc_municipios
						on erpc_clientes.id_municipio = erpc_municipios.id
					 where 1 = 1 ";
					 
					   
					    if ($cli_in != null){
						   $consulta .= " and erpc_clientes.id in (0" . $cli_in . ")";
					    }
					   
				
        
				  $consulta .= " and erpc_clientes.st_end_falho = 0 group by erpc_clientes.id";						
      
		
		break;
		case "vendas":
		
		$consulta = "select erpc_clientes.ds_nome as nome
						  ,erpc_clientes.longitude
						  ,erpc_clientes.latitude
						  ,concat_ws(' - ',erpc_clientes.ds_endereco,erpc_clientes.ds_bairro,erpc_municipios.ds_municipio,erpc_municipios.ds_uf) as ds_endereco
						  ,'icones/cliente.png' as icone
						  ,null as label
					  from erpc_clientes 
				inner join erpc_municipios
						on erpc_clientes.id_municipio = erpc_municipios.id
					 where 1 = 1 ";
					 
					   
					    if ($cli_in != null){
						   $consulta .= " and erpc_clientes.id in (0" . $cli_in . ")";
					    }
					   
				
        
				  $consulta .= " and erpc_clientes.st_end_falho = 0 group by erpc_clientes.id";	
	 							

	   break;
    case "produtos":
	
$consulta = "select erpc_clientes.ds_nome as nome
						  ,erpc_clientes.longitude
						  ,erpc_clientes.latitude
						  ,concat_ws(' - ',erpc_clientes.ds_endereco,erpc_clientes.ds_bairro,erpc_municipios.ds_municipio,erpc_municipios.ds_uf) as ds_endereco
						  ,'icones/cliente.png' as icone
						  ,null as label
					  from erpc_clientes 
				inner join erpc_municipios
						on erpc_clientes.id_municipio = erpc_municipios.id
					 where 1 = 1 ";
					 
					   
					    if ($cli_in != null){
						   $consulta .= " and erpc_clientes.id in (0" . $cli_in . ")";
					    }
					   
				
        
				  $consulta .= " and erpc_clientes.st_end_falho = 0 group by erpc_clientes.id";		
		
        break;
}
        // echo "Consulta:" . $consulta;
          $resultado = mysqli_query($conexao, $consulta) or die (mysqli_error($conexao) . "<br>Erro na query: <br>". $consulta);
		  
          if (mysqli_num_rows($resultado) > 0) {
            while ($registro[] = mysqli_fetch_assoc($resultado)){
				
            }


		   echo json_encode ($registro); //imprime um json para ser lido pela função carregaMarkers em mapa.js
          };
	
?>